Subject: bug#67837: 29.1.90; inhibit-interaction breaks keyboard macros

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Feb 2024 16:43:20 +0200

> Cc: [email-masked], [email-masked], [email-masked]
> Date: Sat, 17 Feb 2024 16:35:42 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > More specifically, have you ever seen or heard about a piece of code
> > using `inhibit-interaction`?  I have not, *except* in the context of
> > bugs like this one.  IOW, AFAICT, `inhibit-interaction` fails at
> > providing the only feature for which it's useful.
> 
> See bug#13697, which was the motivation for introducing this variable.
> It mentions a couple of use cases, bug#6567 and bug#25214.

Btw, I'm perfectly fine if we want to decide that the
inhibit-interaction experiment failed, and remove it from Emacs.  If
you are right, and no one uses it out there yet, doing so will not
cause any harm.  We could then reopen the above bug, and either close
it as wontfix or wait for a better solution to present itself.